#include <iostream>

int main()
{
    int n;
    std::cin >> n;
    int x[n+1], y[n+1], z[n+1];
    for(int i = 1; i < n+1; i++){

        std::cin >> x[i];

    }
    for(int i = 1; i < n+1; i++){

        std::cin >> y[i];

    }
    for(int i = 1; i < n+1; i++){

        std::cin >> z[i];

    }
    int brojac = 0;
    for(int i = 1; i < n+1; i++){

        for(int j = 1; j < n+1; j++){

            if(x[i] == y[z[j]]){

                brojac++;

            }

        }

    }
    std::cout << brojac;

    return 0;
}